Daniel (28 December 1999):
 - Tim Verhoeven correctly identified that curl
   doesn't support URL formatted file names when getting ftp. Now, there's a
   problem with getting very weird file names off FTP servers. RFC 959 defines
   that the file name syntax to use should be the same as in the native OS of
   the server. Since we don't know the peer server system we currently just
   translate the URL syntax into plain letters. It is still better and with
   the solaris 2.6-supplied ftp server it works with spaces in the file names.

Daniel (27 December 1999):
 - When curl parsed cookies straight off a remote site, it corrupted the input
   data, which, if the downloaded headers were stored made very odd characters
   in the saved data. Correctly identified and reported by Paul Harrington.

Daniel (13 December 1999):
 - General cleanups in the library interface. There had been some bad kludges
   added during times of stress and I did my best to clean them off. It was
   both regarding the lib API as well as include file confusions.

Daniel (3 December 1999):
 - A small --stderr bug was reported by Eetu Ojanen...

 - who also brought the suggestion of extending the -X flag to ftp list as
   well. So, now it is and the long option is now --request instead. It is
   only for ftp list for now (and the former http stuff too of course).

Lars J. Aas (24 November 1999):
 - Patched curl to compile and build under BeOS. Doesn't work yet though!

 - Corrected the Makefile.am files to allow putting object files in
   different directories than the sources.

Version 6.3.1

Daniel (23 November 1999):
 - I've had this major disk crash. My good old trust-worthy source disk died
   along with the machine that hosted it. Thank goodness most of all the
   things I've done are either backed up elsewhere or stored in this CVS
   server!

 - Michael S. Steuer pointed out a bug in the -F handling
   that made curl hang if you posted an empty variable such as '-F name='. It
   was one of those old bugs that never have worked properly...

 - Jason Baietto pointed out a general flaw in the HTTP
   download. Curl didn't complain if it was prematurely aborted before the
   entire download was completed. It does now.

Daniel (19 November 1999):
 - Chris Maltby very accurately criticized the lack of
   return code checks on the fwrite() calls. I did a thorough check for all
   occurrences and corrected this.

Daniel (17 November 1999):
 - Paul Harrington pointed out that the -m/--max-time option
   doesn't work for the slow system calls like gethostbyname()... I don't have
   any good fix yet, just a slightly less bad one that makes curl exit hard
   when the timeout is reached.

 - Bjorn Reese helped me point out a possible problem that might be the reason
   why Thomas Hurst experience problems in his Amiga version.

 Daniel (12 November 1999):
 - I found a crash in the new cookie file parser. It crashed when you gave
   a plain http header file as input...

Version 6.3

 Daniel (10 November 1999):
 - I kind of found out that the HTTP time-conditional GETs (-z) aren't always
   respected by the web server and the document is therefore sent in whole
   again, even though it doesn't match the requested condition. After reading
   section 13.3.4 of RFC 2616, I think I'm doing the right thing now when I do
   my own check as well. If curl thinks the condition isn't met, the transfer
   is aborted prematurely (after all the headers have been received).

 - After comments from Robert Linden I also rewrote some parts of the man page
   to better describe how the -F works.

 - Michael Anti put up a new curl download mirror in
   China:  http://www.pshowing.com/curl/

 - I added the list of download mirrors to the README file

 - I did add more explanations to the man page

 Daniel (8 November 1999):
 - I made the -b/--cookie option capable of reading netscape formatted cookie
   files as well as normal http-header files. It should be able to
   transparently figure out what kind of file it got as input.

 Daniel (29 October 1999):
 - Another one of Sebastiaan van Erk's ideas (that has been requested before
   but I seem to have forgotten who it was), is to add support for ranges in
   FTP downloads. As usual, one request is just a request, when they're two
   it is a demand. I've added simple support for X-Y style fetches. X has to
   be the lower number, though you may omit one of the numbers. Use the -r/
   --range switch (previously HTTP-only).

 - Sebastiaan van Erk suggested that curl should be
   able to show the file size of a specified file. I think this is a splendid
   idea and the -I flag is now working for FTP. It displays the file size in
   this manner:
        Content-Length: XXXX
   As it resembles normal headers, and leaves us the opportunity to add more
   info in that display if we can come up with more in the future! It also
   makes sense since if you access ftp through a HTTP proxy, you'd get the
   file size the same way.

   I changed the order of the QUOTE command executions. They're now executed
   just after the login and before any other command. I made this to enable
   quote commands to run before the -I stuff is done too.

 - I found out that -D/--dump-header and -V/--version weren't documented in
   the man page.

 - Many HTTP/1.1 servers do not support ranges. Don't ask me why. I did add
   some text about this in the man page for the range option. The thread in
   the mailing list that started this was initiated by Michael Anti.

 - I get reports about nroff crashes on solaris 2.6+ when displaying the curl
   man page. Switch to gnroff instead, it is reported to work(!). Adam Barclay
   reported and brought the suggestion.

 - In a dialogue with Johannes G. Kristinsson we came
   up with the idea to let -H/--header specified headers replace the
   internally generated headers, if you happened to select to add a header
   that curl normally uses by itself. The advantage with this is not entirely
   obvious, but in Johannes' case it means that he can use another Host: than
   the one curl would set.

 Daniel (27 October 1999):
 - Jongki Suwandi brought a nice patch for (yet another) crash when following
   a location:. This time you had to follow a https:// server's redirect to
   get the core.

Version 6.2

 Daniel (21 October 1999):
 - I think I managed to remove the suspicious (nil) that has been seen just
   before the "Host:" in HTTP requests when -v was used.
 - I found out that if you followed a location: when using a proxy, without
   having specified http:// in the URL, the protocol part was added once again
   when moving to the next URL! (The protocol part has to be added to the
   URL when going through a proxy since it has no protocol-guessing system
   such as curl has.)
 - Benjamin Ritcey reported a core dump under solaris 2.6
   with OpenSSL 0.9.4. It turned out this was due to a bad free() in main.c
   that occurred after the download was done and completed.
 - Benjamin found ftp downloads to show the first line of the download meter
   to get written twice, and I removed that problem. It was introduced with
   the multiple URL support.
 - Dan Zitter correctly pointed out that curl 6.1 and earlier versions didn't
   honor RFC 2616 chapter 4 section 2, "Message Headers": "...Field names are
   case-insensitive..."  HTTP header parsing assumed a certain casing. Dan
   also provided me with a patch that corrected this, which I took the liberty
   of editing slightly.
 - Dan Zitter also provided a nice patch for config.guess to better recognize
   the Mac OS X
 - Dan also corrected a minor problem in the lib/Makefile that caused linking
   to fail on OS X.

 Daniel (19 October 1999):
 - Len Marinaccio came up with some problems with curl.  Since Windows has a
   crippled shell, it can't redirect stderr and that causes trouble. I added
   --stderr today which allows the user to redirect the stderr stream to a
   file or stdout.

 Daniel (18 October 1999):
 - The configure script now understands the '--without-ssl' flag, which now
   totally disable SSL/https support. Previously it wasn't possible to force
   the configure script to leave SSL alone. The previous functionality has
   been retained. Troy Engel helped test this new one.

Version 6.1

 Daniel (17 October 1999):
 - I ifdef'ed or commented all the zlib stuff in the sources and configure
   script. It turned out we needed to mock more with zlib than I initially
   thought, to make it capable of downloading compressed HTTP documents and
   uncompress them on the fly. I didn't mean the zlib parts of curl to become
   more than minor so this means I halt the zlib expedition for now and wait
   until someone either writes the code or zlib gets updated and better
   adjusted for this kind of usage.  I won't get into details here, but a
   short a summary is suitable:
   - zlib can't automatically detect whether to use zlib or gzip
     decompression methods.
   - zlib is very neat for reading gzipped files from a file descriptor,
     although not as nice for reading buffer-based data such as we would
     want it.
   - there are still some problems with the win32 version when reading from
     a file descriptor if that is a socket

 Daniel (14 October 1999):
 - Moved the (external) include files for libcurl into a subdirectory named
   curl and adjusted all #include lines to use <curl/XXXX> to maintain a
   better name space and control of the headers. This has been requested.

 Daniel (12 October 1999):
 - I modified the 'maketgz' script to perform a 'make' too before a release
   archive is put together in an attempt to make the time stamps better and
   hopefully avoid the double configure-running that use to occur.

 Daniel (11 October 1999):
 - Applied Jörn's patches that fixes zlib for mingw32 compiles as well as
   some other missing zlib #ifdef and more text on the multiple URL docs in
   the man page.

Version 6.1beta

 Daniel (6 October 1999):
 - Douglas E. Wegscheid sent me a patch that made the exact same thing as I
   just made: the -d switch is now capable of reading post data from a named
   file or stdin.  Use it similarly to the -F. To read the post data from a
   given file:

        curl -d @path/to/filename www.postsite.com

   or let curl read it out from stdin:

        curl -d @- www.postit.com

 Jörn Hartroth (3 October 1999):
 - Brought some more patches for multiple URL functionality. The MIME
   separation ideas are almost scrapped now, and a custom separator is being
   used instead. This is still compile-time "flagged".

 Daniel
 - Updated curl.1 with multiple URL info.

 Daniel (30 September 1999):
 - Felix von Leitner brought openssl-check fixes for configure.in to work
   out-of-the-box when the openssl files are installed in the system default
   dirs.

 Daniel (28 September 1999)
 - Added libz functionality. This should enable decompressing gzip, compress
   or deflate encoding HTTP documents. It also makes curl send an accept that
   it accepts that kind of encoding. Compressed contents usually shortens
   download time. I *need* someone to tell me a site that uses compressed HTTP
   documents so that I can test this out properly.

 - As a result of the adding of zlib awareness, I changed the version string
   a little. I plan to add openldap version reporting in there too.

 Daniel (17 September 1999)
 - Made the -F option allow stdin when specifying files. By using '-' instead
   of file name, the data will be read from stdin.

Version 6.0

 Daniel (13 September 1999)
 - Added -X/--http-request <request> to enable any HTTP command to be sent.
   Do not that your server has to support the exact string you enter. This
   should possibly a string like DELETE or TRACE.

 - Applied Douglas' mingw32-fixes for the makefiles.

 Daniel (10 September 1999)
 - Douglas E. Wegscheid pointed out a problem. Curl didn't check the FTP
   servers return code properly after the --quote commands were issued. It
   took anything non 200 as an error, when all 2XX codes should be accepted as
   OK.

 - Sending cookies to the same site in multiple lines like curl used to do
   turned out to be bad and breaking the cookie specs. Curl now sends all
   cookies on a single Cookie: line. Curl is not yet RFC 2109 compliant, but I
   doubt that many servers do use that syntax (yet).

 Daniel (8 September 1999)
 - Jörn helped me make sure it still compiles nicely with mingw32 under win32.

 Daniel (7 September 1999)
 - FTP upload through proxy is now turned into a HTTP PUT. Requested by
   Stefan Kanthak.

 - Added the ldap files to the .m32 makefile.

 Daniel (3 September 1999)
 - Made cookie matching work while using HTTP proxy.

 Bjorn Reese (31 August 1999)
 - Passed his ldap:// patch. Note that this requires the openldap shared
   library to be installed and that LD_LIBRARY_PATH points to the
   directory where the lib will be found when curl is run with a
   ldap:// URL.

 Jörn Hartroth (31 August 1999)
 - Made the Mingw32 makefiles into single files.
 - Made file:// work for Win32. The same code is now used for unix as well for
   performance reasons.

 Douglas E. Wegscheid (30 August 1999)
 - Patched the Mingw32 makefiles for SSL builds.

 Matthew Clarke (30 August 1999)
 - Made a cool patch for configure.in to allow --with-ssl to specify the
   root dir of the openssl installation, as in

        ./configure --with-ssl=/usr/ssl_here

 - Corrected the 'reconf' script to work better with some shells.

 Jörn Hartroth (26 August 1999)
 - Fixed the Mingw32 makefiles in lib/ and corrected the file.c for win32
   compiles.

Version 5.11

 Daniel (25 August 1999)
 - John Weismiller pointed out a bug in the header-line
   realloc() system in download.c.

 - I added lib/file.[ch] to offer a first, simple, file:// support. It
   probably won't do much good on win32 system at this point, but I see it
   as a start.

 - Made the release archives get a Makefile in the root dir, which can be
   used to start the compiling/building process easier. I haven't really
   changed any INSTALL text yet, I wanted to get some feed-back on this
   first.

 Daniel (17 August 1999)
 - Another Location: bug. Curl didn't do proper relative locations if the
   original URL had cgi-parameters that contained a slash. Nusu's page
   again.

 - Corrected the NO_PROXY usage. It is a list of substrings that if one of
   them matches the tail of the host name it should connect to, curl should
   not use a proxy to connect there. Pointed out to me by Douglas
   E. Wegscheid.  I also changed the README text a little regarding this.

 Daniel (16 August 1999)
 - Fixed a memory bug with http-servers that sent Location: to a Location:
   page. Nusu's page showed this too.

 - Made cookies work a lot better. Setting the same cookie name several times
   used to add more cookies instead of replacing the former one which it
   should've. Nusu <nus at intergorj.ro> brought me an URL that made this
   painfully visible...

 Troy (15 August 1999)
 - Brought new .spec files as well as a patch for configure.in that lets the
   configure script find the openssl files better, even when the include
   files are in /usr/include/openssl

Version 5.10

 Daniel (13 August 1999)
 - SSL_CTX_set_default_passwd_cb() has been modified in the 0.9.4 version of
   OpenSSL. Now why couldn't they simply add a *new* function instead of
   modifying the parameters of an already existing function? This way, we get
   a compiler warning if compiling with 0.9.4 but not with earlier. So, I had
   to come up with a #if construction that deals with this...

 - Made curl output the SSL version number get displayed properly with 0.9.4.

 Troy (12 August 1999)
 - Added MingW32 (GCC-2.95) support under Win32. The INSTALL file was also
   a bit rearranged.
 
 Daniel (12 August 1999)
 - I had to copy a good <arpa/telnet.h> include file into the curl source
   tree to enable the silly win32 systems to compile. The distribution rights
   allows us to do that as long as the file remains unmodified.

 - I corrected a few minor things that made the compiler complain when
   -Wall -pedantic was used.

 - I'm moving the official curl web page to http://curl.haxx.nu. I think it
   will make it easier to remember as it is a lot shorter and less cryptic.
   The old one still works and shows the same info.

 Daniel (11 August 1999)
 - Albert Chin-A-Young mailed me another correction for NROFF in the
   configure.in that is supposed to be better for IRIX users.

 Daniel (10 August 1999)
 - Albert Chin-A-Young helped me with some stupid Makefile things, as well as
   some fiddling with the getdate.c stuff that he had problems with under
   HP-UX v10. getdate.y will now be compiled into getdate.c if the appropriate
   yacc or bison is found by the configure script. Since this is slightly new,
   we need to test the output getdate.c with win32 systems to make sure it
   still compiles there.

 Daniel (5 August 1999)
 - I've just setup a new mailing list with the intention to keep discussions
   around libcurl development in it. I mainly expect it to be for thoughts and
   brainstorming around a "next generation" library, rather than nitpicking
   about the current implementation or details in the current libcurl.

   To join our happy bunch of future-looking geeks, enter 'subscribe
   <address>' in the body of a mail and send it to
   libcurl-request@listserv.fts.frontec.se.  Curl bug reports, the usual curl
   talk and everything else should still be kept in this mailing list. I've
   started to archive this mailing list and have put the libcurl web page at
   www.fts.frontec.se/~dast/libcurl/.

 - Stefan Kanthak contacted me regarding a few problems in the configure
   script which he discovered when trying to make curl compile and build under
   Siemens SINIX-Z V5.42B2004!

 - Marcus Klein very accurately informed me that src/version.h was not present
   in the CVS repository. Oh, how silly...

 - Linus Nielsen rewrote the telnet:// part and now curl offers limited telnet
   support. If you run curl like 'curl telnet://host' you'll get all output on
   the screen and curl will read input from stdin. You'll be able to login and
   run commands etc, but since the output is buffered, expect to get a little
   weird output.

   This is still in its infancy and it might get changed. We need your
   feed-back and input in how this is best done.

   WIN32 NOTE: I bet we'll get problems when trying to compile the current
   lib/telnet.c on win32, but I think we can sort them out in time.

 - David Sanderson reported that FORCE_ALLOCA_H or HAVE_ALLOCA_H must be
   defined for getdate.c to compile properly on HP-UX 11.0. I updated the
   configure script to check for alloca.h which should make it.

 Daniel (4 August 1999)
 - I finally got to understand Marcus Klein's ftp download resume problem,
   which turns out to be due to different outputs from different ftp
   servers. It makes ftp download resuming a little trickier, but I've made
   some modifications I really believe will work for most ftp servers and I do
   hope you report if you have problems with this!

 - Added text about file transfer resuming to README.curl.

 Daniel (2 August 1999)
 - Applied a progress-bar patch from Lars J. Aas. It offers
   a new styled progress bar enabled with -#/--progress-bar. 

 T. Yamada <tai at imasy.or.jp> (30 July 1999)
 - It breaks with segfault when 1) curl is using .netrc to obtain
   username/password (option '-n'), and 2) is automatically redirected to
   another location (option '-L').

   There is a small bug in lib/url.c (block starting from line 641), which
   tries to take out username/password from user- supplied command-line
   argument ('-u' option). This block is never executed on first attempt since
   CONF_USERPWD bit isn't set at first, but curl later turns it on when it
   checks for CONF_NETRC bit. So when curl tries to redo everything due to
   redirection, it segfaults trying to access *data->userpwd.

Version 5.9.1

 Daniel (30 July 1999)
 - Steve Walch pointed out that there is a memory leak in the formdata
   functions. I added a FormFree() function that is now used and supposed to
   correct this flaw.

 - Mark Wotton reported:
   'curl -L https://www.cwa.com.au/' core dumps.  I managed to cure this by
   correcting the cleanup procedure. The bug seems to be gone with my OpenSSL
   0.9.2b, although still occurs when I run the ~100 years old SSLeay 0.8.0. I
   don't know whether it is curl or SSLeay that is to blame for that.

 - Marcus Klein:
   Reported an FTP upload resume bug that I really can't repeat nor understand.
   I leave it here so that it won't be forgotten.

 Daniel (29 July 1999)
 - Costya Shulyupin suggested support for longer URLs when following Location:
   and I could only agree and fix it!

 - Leigh Purdie found a problem in the upload/POST department. It turned out
   that http.c accidentaly cleared the pointer instead of the byte counter
   when supposed to.

 - Costya Shulyupin pointed out a problem with port numbers and Location:. If
   you had a server at a non-standard port that redirected to an URL using a
   standard port number, curl still used that first port number.

 - Ralph Beckmann pointed out a problem when using both CONF_FOLLOWLOCATION
   and CONF_FAILONERROR simultaneously. Since the CONF_FAILONERROR exits on
   the 302-code that the follow location header outputs it will never show any
   html on location: pages. I have now made it look for >=400 codes if
   CONF_FOLLOWLOCATION is set.

 - 'struct slist' is now renamed to 'struct curl_slist' (as suggested by Ralph
   Beckmann).

 - Joshua Swink and Rick Welykochy were the first to point out to me that the
   latest OpenSSL package now have moved the standard include path. It is now
   in /usr/local/ssl/include/openssl and I have now modified the --enable-ssl
   option for the configure script to use that as the primary path, and I
   leave the former path too to work with older packages of OpenSSL too.

 Daniel (9 June 1999)
 - I finally understood the IRIX problem and now it seem to compile on it!
   I am gonna remove those #define strcasecmp() things once and for all now.

 Daniel (4 June 1999)
 - I adjusted the FTP reply 227 parser to make the PASV command work better
   with more ftp servers. Appearantly the Roxen Challanger server replied
   something curl 5.9 could deal with! :-( Reported by Ashley Reid-Montanaro
   and Mark Butler brought a solution for it.

 Daniel (26 May 1999)
 - Rearranged. README is new, the old one is now README.curl and I added a
   README.libcurl with text I got from Ralph Beckmann.

 - I also updated the INSTALL text.

 Daniel (25 May 1999)
 - David Jonathan Lowsky correctly pointed out that curl didn't properly deal
   with form posting where the variable shouldn't have any content, as in curl
   -F "form=" www.site.com. It was now fixed.

Version 5.9

 Daniel (22 May 1999)
 - I've got a bug report from Aaron Scarisbrick in which he states he has some
   problems with -L under FreeBSD 3.0. I have previously got another bug
   report from Stefan Grether which points at an error with similar sympthoms
   when using win32. I made the allocation of the new url string a bit faster
   and different, don't know if it actually improves anything though...

 Daniel (20 May 1999)
 - Made the cookie parser deal with CRLF newlines too.

 Daniel (19 May 1999)
 - Download() didn't properly deal with failing return codes from the sread()
   function. Adam Coyne found the problem in the win32 version, and Troy Engel
   helped me out isolating it.

 Daniel (16 May 1999)
 - Richard Adams pointed out a bug I introduced in 5.8. --dump-header doesn't
   work anymore! :-/ I fixed it now.

 - After a suggestion by Joshua Swink I added -S / --show-error to force curl
   to display the error message in case of an error, even if -s/--silent was
   used.

 Daniel (10 May 1999)
 - I moved the stuff concerning HTTP, DICT and TELNET it their own source
   files now. It is a beginning on my clean-up of the sources to make them
   layer all those protocols better to enable more to be added easier in the
   future!

 - Leon Breedt sent me some files I've not put into the main curl
   archive. They're for creating the Debian package thingie. He also sent me a
   debian package that I've made available for download at the web page

 Daniel (9 May 1999)
 - Made it compile on cygwin too.

 Troy Engel (7 May 1999)
 - Brought a series of patches to allow curl to compile smoothly on MSVC++ 6
   again!

 Daniel (6 May 1999)
 - I changed the #ifdef HAVE_STRFTIME placement for the -z code so that it
   will be easier to discover systems that don't have that function and thus
   can't use -z successfully. Made the strftime() get used if WIN32 is defined
   too.

Version 5.8

 Daniel (5 May 1999)
 - I've had it with this autoconf/automake mess. It seems to work allright
   for most people who don't have automake installed, but for those who have
   there are problems all over.

   I've got like five different bug reports on this only the last
   week... Claudio Neves and Federico Bianchi and root <duggerj001 at
   hawaii.rr.com> are some of them reporting this.

   Currently, I have no really good fix since I want to use automake myself to
   generate the Makefile.in files. I've found out that the @SHELL@-problems
   can often be fixed by manually invoking 'automake' in the archive root
   before you run ./configure... I've hacked my maketgz script now to fiddle
   a bit with this and my tests seem to work better than before at least!

 Daniel (4 May 1999)
 - mkhelp.pl has been doing badly lately. I corrected a case problem in
   the regexes.

 - I've now remade the -o option to not touch the file unless it needs to.
   I had to do this to make -z option really fine, since now you can make a
   curl fetch and use a local copy's time when downloading to that file, as
   in:

        curl -z dump -o dump remote.site.com/file.html

   This will only get the file if the remote one is newer than the local.
   I'm aware that this alters previous behaviour a little. Some scripts out
   there may depend on that the file is always touched...

 - Corrected a bug in the SSLv2/v3 selection.

 - Felix von Leitner requested that curl should be able to send
   "If-Modified-Since" headers, which indeed is a fair idea.  I implemented it
   right away! Try -z <expression> where expression is a full GNU date
   expression or a file name to get the date from!

 Stephan Lagerholm (30 Apr 1999)
 - Pointed out a problem with the src/Makefile for FreeBSD. The RM variable
   isn't set and causes the make to fail.

 Daniel (26 April 1999)
 - Am I silly or what? Irving Wolfe pointed out to me that the curl version
   number was not set properly. Hasn't been since 5.6. This was due to a bug
   in my maketgz script!

 David Eriksson (25 Apr 1999)
 - Found a bug in cookies.c that made it crash at times.

Version 5.7.1

 Doug Kaufman (23 Apr 1999)
 - Brought two sunos 4 fixes. One of them being the hostip.c fix mentioned
   below and the other one a correction in include/stdcheaders.h

 - Added a paragraph about compiling with the US-version of openssl to the
   INSTALL file.

 Daniel
 - New mailing list address. Info updated on the web page as well as in the
   README file

 Greg Onufer (20 Apr 1999)
 - hostip.c didn't compile properly on SunOS 5.5.1.
   It needs an #include <sys/types.h>

Version 5.7

 Daniel (Apr 20 1999)
 - Decided to upload a non-beta version right now!

 - Made curl support any-length HTTP headers. The destination buffer is now
   simply enlarged every time it turns out to be too small!

 - Added the FAQ file to the archive. Still a bit smallish, but it is a
   start.

 Eric Thelin (15 Apr 1999)
 - Made -D accept '-' instead of filename to write to stdout.

Version 5.6.3beta

 Daniel (Apr 12 1999)

 - Changed two #ifdef WIN32 to better #ifdef <errorcode> when connect()ing
   in url.c and ftp.c. Makes cygwin32 deal with them better too. We should
   try to get some decent win32-replacement there. Anyone?

 - The old -3/--crlf option is now ONLY --crlf!

 - I changed the "SSL fix" to a more lame one, but that doesn't remove as
   much functionality. Now I've enabled the lib to select what SSL version it
   should try first. Appearantly some older SSL-servers don't like when you
   talk v3 with them so you need to be able to force curl to talk v2 from the
   start. The fix dated April 6 and posted on the mailing list forced curl to
   use v2 at all times using a modern OpenSSL version, but we don't really
   want such a crippled solution.
 
 - Marc Boucher sent me a patch that corrected a math error for the
   "Curr.Speed" progress meter.

 - Eric Thelin sent me a patch that enables '-K -' to read a config file from
   stdin.

 - I found out we didn't close the file properly before so I added it!

 Daniel (Apr 9 1999)
 - Yu Xin pointed out a problem with ftp download resume.  It didn't work at
   all! ;-O

 Daniel (Apr 6 1999)
 - Corrected the version string part generated for the SSL version.

 - I found a way to make some other SSL page work with openssl 0.9.1+ that
   previously didn't (ssleay 0.8.0 works with it though!). Trying to get
   some real info from the OpenSSL guys to see how I should do to behave the
   best way. SSLeay 0.8.0 shouldn't be that much in use anyway these days!

Version 5.6.2beta

 Daniel (Apr 4 1999)
 - Finally have curl more cookie "aware". Now read carefully. This is how
   it works.
   To make curl read cookies from an already existing file, in plain header-
   format (like from the headers of a previous fetch) invoke curl with the
   -b flag like:

        curl -b file http://site/foo.html

   Curl will then use all cookies it finds matching. The old style that sets
   a single cookie with -b is still supported and is used if the string
   following -b includes a '=' letter, as in "-b name=daniel".

   To make curl read the cookies sent in combination with a location: (which
   sites often do) point curl to read a non-existing file at first (i.e
   to start with no existing cookies), like:

        curl -b nowhere http://site/setcookieandrelocate.html

 - Added a paragraph in the TODO file about the SSL problems recently
   reported. Evidently, some kind of SSL-problem curl may need to address.

 - Better "Location:" following.

 Douglas E. Wegscheid (Tue, 30 Mar 1999)
 - A subsecond display patch.

 Daniel (Mar 14 1999)
 - I've separated the version number of libcurl and curl now. To make
   things a little easier, I decided to start the curl numbering from
   5.6 and the former version number known as "curl" is now the one
   set for libcurl.

 - Removed the 'enable-no-pass' from configure, I doubt anyone wanted
   that.

 - Made lots of tiny adjustments to compile smoothly with cygwin under
   win32. It's a killer for porting this to win32, bye bye VC++! ;-)
   Compiles and builds out-of-the-box now. See the new wordings in
   INSTALL for details.

 - Beginning experiments with downloading multiple document from a http
   server while remaining connected.

Version 5.6beta

 Daniel (Mar 13 1999)
 - Since I've changed so much, I thought I'd just go ahead and implement the
   suggestion from Douglas E. Wegscheid. -D or --dump-header is now storing
   HTTP headers separately in the specified file.

 - Added new text to INSTALL on what to do to build this on win32 now.

 - Aaargh. I had to take a step back and prefix the shared #include files
   in the sources with "../include/" to please VC++...

 Daniel (Mar 12 1999)
 - Split the url.c source into many tiny sources for better readability
   and smaller size.

 Daniel (Mar 11 1999)
 - Started to change stuff for a move to make libcurl and a more separate
   curl application that uses the libcurl. Made the libcurl sources into
   the new lib directory while the curl application will remain in src as
   before. New makefiles, adjusted configure script and so.

   libcurl.a built quickly and easily. I better make a better interface to
   the lib functions though.

   The new root dir include/ is supposed to contain the public information
   about the new libcurl. It is a little ugly so far :-)


 Daniel (Mar 1 1999)
 - Todd Kaufmann sent me a good link to Netscape's cookie spec as well as the
   info that RFC 2109 specifies how to use them.  The link is now in the
   README and the RFC in the RESOURCES.

 Daniel (Feb 23 1999)
 - Finally made configure accept --with-ssl to look for SSL libs and includes
   in the "standard" place /usr/local/ssl...

 Daniel (Feb 22 1999)
 - Verified that curl linked fine with OpenSSL 0.9.1c which seems to be
   the most recent.

 Henri Gomez (Fri Feb  5 1999)
 - Sent in an updated curl-ssl.spec. I still miss the script that builds an
   RPM automatically...

Version 5.5.1

 Mark Butler (27 Jan 1999)
 - Corrected problems in Download().

 Danitel Stenberg (25 Jan 1999)
 - Jeremie Petit pointed out a few flaws in the source that prevented it from
   compile warning free with the native compiler under Digital Unix v4.0d.

Version 5.5

 Daniel Stenberg (15 Jan 1999)
 - Added Bjorns small text to the README about the DICT protocol.

 Daniel Stenberg (11 Jan 1999)
 - <jswink at softcom.net> reported about the win32-versioin: "Doesn't use
   ALL_PROXY environment variable". Turned out to be because of the static-
   buffer nature of the win32 environment variable calls!

 Bjorn Reese (10 Jan 1999)
 - I have attached a simple addition for the DICT protocol (RFC 2229).
   It performs dictionary lookups. The output still needs to be better
   formatted.

   To test it try (the exact format, and more examples are described in
   the RFC)

        dict://dict.org/m:hello
        dict://dict.org/m:hello::soundex


 Vicente Garcia (10 Jan 1999)
 - Corrected the progress meter for files larger than 20MB.

 Daniel Stenberg (7 Jan 1999)
 - Corrected the -t and -T help texts. They claimed to be FTP only.

Version 5.4

 Daniel Stenberg
 (7 Jan 1999)
 - Irving Wolfe reported that curl -s didn't always supress the progress
   reporting. It was the form post that autoamtically always switched it on
   again. This is now corrected!

 (4 Jan 1999)
 - Andreas Kostyrka suggested I'd add PUT and he helped me out to test it. If
   you use -t or -T now on a http or https server, PUT will be used for file
   upload.

   I removed the former use of -T with HTTP. I doubt anyone ever really used
   that.

 (4 Jan 1999)
 - Erik Jacobsen found a width bug in the mprintf() function.  I corrected it
   now.

 (4 Jan 1999)
 - As John V. Chow pointed out to me, curl accepted very limited URL sizes. It
   should now accept path parts that are up to at least 4096 bytes.

 - Somehow I screwed up when applying the AIX fix from Gilbert Ramirez, so
   I redid that now.

